Page 3 of 3 FirstFirst 123
Results 21 to 30 of 30

Thread: [Lubuntu] First time Linux user; having troubling booting on an old machine

  1. #21
    Join Date
    Aug 2017
    Location
    melbourne, au
    Beans
    661
    Distro
    Lubuntu Development Release

    Re: [Lubuntu] First time Linux user; having troubling booting on an old machine

    This is just FYI information, mainly directed at @Bashing-om

    Remembering this question, I used my remaining d745 for a QA-test of Lubuntu 20.04.1
    (dell [optiplex] 745 (c2d-6600, 6gb, amd/ati radeon rv516/x1300/x1550))

    A `sudo lshw -C video` lists the video card twice on my box; display:0 looks as we'd expect, the display:1 is almost identical (physical id 0.1 instead of just 0 for first & minor differences) and only second is unclaimed.

    I think it's a quirk of dell boxes of that era; and the strange video-plug that you connected and split into 2xdvi or 2xvga (pre display port). (I could have looked at other d755s too I used in testing earlier, but didn't think it sorry). I also looked for a BIOS way to configure video on my 745, but little is provided (nor if mine is using optional card, no option existed to disable it & use an oboard. I don't want to touch that hardware sorry)

  2. #22
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,665
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: [Lubuntu] First time Linux user; having troubling booting on an old machine

    jessej1996; Yukkie-poo on me

    See guiverc's last - I am flat out dumb on this and do not know what action can be taken to get the driver to load - It's Intel it "just works"; as the driver is included in the kernel.
    This again affirms the driver, though available, is not loading:
    i915 1282048 0
    Maybe just check and insure that the Intel DDX driver and components are fully installed ?
    What shows:
    Code:
    dpkg -l xserver-xorg-core xserver-xorg-video-intel libegl1-mesa libgl1-mesa-glx libgl1-mesa-dri
    this but a poke in the dark
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  3. #23
    Join Date
    Jul 2020
    Beans
    14

    Re: [Lubuntu] First time Linux user; having troubling booting on an old machine

    Code:
    ~$ dpkg -l xserver-xorg-core xserver-xorg-video-intel libegl1-mesa libgl1-mesa-glx libgl1-mesa-dri
    Desired=Unknown/Install/Remove/Purge/Hold
    | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
    |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
    ||/ Name           Version      Architecture Description
    +++-==============-============-============-=================================
    ii  libegl1-mesa:i 18.0.0~rc5-1 i386         transitional dummy package
    ii  libgl1-mesa-dr 18.0.0~rc5-1 i386         free implementation of the OpenGL
    ii  libgl1-mesa-gl 18.0.0~rc5-1 i386         transitional dummy package
    ii  xserver-xorg-c 2:1.19.6-1ub i386         Xorg X server - core server
    ii  xserver-xorg-v 2:2.99.917+g i386         X.Org X server -- Intel i8xx, i9x
    I think I'm at least starting to see what the problem is haha.

  4. #24
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,665
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: [Lubuntu] First time Linux user; having troubling booting on an old machine

    jessej1996; Hummm ...

    Something is not coming up right in the versioning:
    My 18.04 install for comparison
    :
    Code:
    sysop@x1804mini:~$ dpkg -l xserver-xorg-core xserver-xorg-video-intel libegl1-mesa libgl1-mesa-glx libgl1-mesa-dri
    Desired=Unknown/Install/Remove/Purge/Hold
    | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
    |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
    ||/ Name           Version      Architecture Description
    +++-==============-============-============-=================================
    ii  libegl1-mesa:a 20.0.8-0ubun amd64        transitional dummy package
    ii  libgl1-mesa-dr 20.0.8-0ubun amd64        free implementation of the OpenGL
    un  libgl1-mesa-gl <none>       <none>       (no description available)
    ii  xserver-xorg-c 2:1.19.6-1ub amd64        Xorg X server - core server
    ii  xserver-xorg-v 2:2.99.917+g amd64        X.Org X server -- Intel i8xx, i9x
    sysop@x1804mini:~$
    Where I am running Nvidia graphics with the nouveau driver such that "libgl1-mesa-glx" is not used.

    So, What is going on with your install ?
    Post back:
    Code:
    uname -a
    lsb_release -a
    apt policy xserver-xorg-core xserver-xorg-video-intel libegl1-mesa libgl1-mesa-glx libgl1-mesa-dri
    Could it be that we just need to update your system ?

    Maybe Yes
    could be - not so yes
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  5. #25
    Join Date
    Jul 2020
    Beans
    14

    Re: [Lubuntu] First time Linux user; having troubling booting on an old machine

    Code:
    ~$ uname -a
    Linux ubuntu 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:15:38 UTC 2018 i686 i686 i686 GNU/Linux
    jesse@ubuntu:~$ lsb_release -a
    No LSB modules are available.
    Distributor ID:    Ubuntu
    Description:    Ubuntu 18.04 LTS
    Release:    18.04
    Codename:    bionic
    jesse@ubuntu:~$ apt policy xserver-xorg-core xserver-xorg-video-intel libegl1-mesa libgl1-mesa-glx libgl1-mesa-dri
    xserver-xorg-core:
      Installed: 2:1.19.6-1ubuntu4
      Candidate: 2:1.19.6-1ubuntu4.4
      Version table:
         2:1.19.6-1ubuntu4.4 500
            500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages
         2:1.19.6-1ubuntu4.2 500
            500 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages
     *** 2:1.19.6-1ubuntu4 500
            500 http://us.archive.ubuntu.com/ubuntu bionic/main i386 Packages
            100 /var/lib/dpkg/status
    xserver-xorg-video-intel:
      Installed: 2:2.99.917+git20171229-1
      Candidate: 2:2.99.917+git20171229-1
      Version table:
     *** 2:2.99.917+git20171229-1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic/main i386 Packages
            100 /var/lib/dpkg/status
    libegl1-mesa:
      Installed: 18.0.0~rc5-1ubuntu1
      Candidate: 20.0.8-0ubuntu1~18.04.1
      Version table:
         20.0.8-0ubuntu1~18.04.1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages
         19.2.8-0ubuntu0~18.04.2 500
            500 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages
     *** 18.0.0~rc5-1ubuntu1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic/main i386 Packages
            100 /var/lib/dpkg/status
    libgl1-mesa-glx:
      Installed: 18.0.0~rc5-1ubuntu1
      Candidate: 20.0.8-0ubuntu1~18.04.1
      Version table:
         20.0.8-0ubuntu1~18.04.1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages
         19.2.8-0ubuntu0~18.04.2 500
            500 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages
     *** 18.0.0~rc5-1ubuntu1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic/main i386 Packages
            100 /var/lib/dpkg/status
    libgl1-mesa-dri:
      Installed: 18.0.0~rc5-1ubuntu1
      Candidate: 20.0.8-0ubuntu1~18.04.1
      Version table:
         20.0.8-0ubuntu1~18.04.1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages
         19.2.8-0ubuntu0~18.04.2 500
            500 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages
     *** 18.0.0~rc5-1ubuntu1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic/main i386 Packages
            100 /var/lib/dpkg/status

  6. #26
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,665
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: [Lubuntu] First time Linux user; having troubling booting on an old machine

    jessej1996; Hey hey

    Newer components are available - maybe these will make the driver compatible ?

    Try - Run terminal commands:
    Code:
    sudo apt update
    sudo apt upgrade
    reboot the system, removing the nomodeset parameter.
    what results ?

    maybe Yes
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  7. #27
    Join Date
    Jul 2020
    Beans
    14

    Re: [Lubuntu] First time Linux user; having troubling booting on an old machine

    Sorry for the wait; booting after update/upgrade booted in to the login screen for a couple seconds before the screen turned blue

  8. #28
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,665
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: [Lubuntu] First time Linux user; having troubling booting on an old machine

    jessej1996; Yuk !

    booted in to the login screen for a couple seconds before the screen turned blue
    All now up-2-date ?
    a new:
    Code:
    apt policy xserver-xorg-core xserver-xorg-video-intel libegl1-mesa libgl1-mesa-glx libgl1-mesa-dri
    see now what is installed.

    if I know better
    I would do different
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  9. #29
    Join Date
    Jul 2020
    Beans
    14

    Re: [Lubuntu] First time Linux user; having troubling booting on an old machine

    Code:
    ~$ apt policy xserver-xorg-core xserver-xorg-video-intel libegl1-mesa libgl1-mesa-glx libgl1-mesa-dri
    xserver-xorg-core:
      Installed: 2:1.19.6-1ubuntu4.4
      Candidate: 2:1.19.6-1ubuntu4.4
      Version table:
     *** 2:1.19.6-1ubuntu4.4 500
            500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages
            100 /var/lib/dpkg/status
         2:1.19.6-1ubuntu4.2 500
            500 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages
         2:1.19.6-1ubuntu4 500
            500 http://us.archive.ubuntu.com/ubuntu bionic/main i386 Packages
    xserver-xorg-video-intel:
      Installed: 2:2.99.917+git20171229-1
      Candidate: 2:2.99.917+git20171229-1
      Version table:
     *** 2:2.99.917+git20171229-1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic/main i386 Packages
            100 /var/lib/dpkg/status
    libegl1-mesa:
      Installed: 20.0.8-0ubuntu1~18.04.1
      Candidate: 20.0.8-0ubuntu1~18.04.1
      Version table:
     *** 20.0.8-0ubuntu1~18.04.1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages
            100 /var/lib/dpkg/status
         19.2.8-0ubuntu0~18.04.2 500
            500 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages
         18.0.0~rc5-1ubuntu1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic/main i386 Packages
    libgl1-mesa-glx:
      Installed: 20.0.8-0ubuntu1~18.04.1
      Candidate: 20.0.8-0ubuntu1~18.04.1
      Version table:
     *** 20.0.8-0ubuntu1~18.04.1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages
            100 /var/lib/dpkg/status
         19.2.8-0ubuntu0~18.04.2 500
            500 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages
         18.0.0~rc5-1ubuntu1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic/main i386 Packages
    libgl1-mesa-dri:
      Installed: 20.0.8-0ubuntu1~18.04.1
      Candidate: 20.0.8-0ubuntu1~18.04.1
      Version table:
     *** 20.0.8-0ubuntu1~18.04.1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages
            100 /var/lib/dpkg/status
         19.2.8-0ubuntu0~18.04.2 500
            500 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages
         18.0.0~rc5-1ubuntu1 500
            500 http://us.archive.ubuntu.com/ubuntu bionic/main i386 Packages

  10. #30
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,665
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: [Lubuntu] First time Linux user; having troubling booting on an old machine

    jessej1996; Hummm ...

    Shows that the versioning now is consistent

    what says now the GPU manager ?
    Code:
    cat /var/log/gpu-manager.log
    lsmod | grep i915
    gots to be a reason
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

Page 3 of 3 FirstFirst 123

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •